Name:      ibus-table-others
Summary:   ibus-table-others - table-based engine
Version:   1.3.18
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       https://github.com/moebiuscurve/ibus-table-others
Source0:   https://github.com/moebiuscurve/ibus-table-others/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(ibus-table) >= 1.3.0
BuildRequires: pkgconfig(ibus-1.0) >= 1.3.9
Requires:  ibus-table >= 1.3.0
BuildArch:      noarch

%description
ibus-table-others provides the following input methods on IBus-Table
on IBus framework:

    * CNS11643
    * Emoticon
    * IPA-X-SAMPA
    * RussianTraditional
    * Translit
    * Ua-Translit
    * Yawerty

%files
%{_datadir}/ibus-table/icons/cns11643.png
%{_datadir}/ibus-table/icons/ibus-emoticon.svg
%{_datadir}/ibus-table/icons/ipa-x-sampa.svg
%{_datadir}/ibus-table/icons/mongol_bichig.svg
%{_datadir}/ibus-table/icons/rusle.png
%{_datadir}/ibus-table/icons/rustrad.png
%{_datadir}/ibus-table/icons/telex.png
%{_datadir}/ibus-table/icons/vni.png
%{_datadir}/ibus-table/icons/yawerty.png
%{_datadir}/ibus-table/tables/cns11643.db
%{_datadir}/ibus-table/tables/emoticon-table.db
%{_datadir}/ibus-table/tables/ipa-x-sampa.db
%{_datadir}/ibus-table/tables/mongol_bichig.db
%{_datadir}/ibus-table/tables/rusle.db
%{_datadir}/ibus-table/tables/rustrad.db
%{_datadir}/ibus-table/tables/telex.db
%{_datadir}/ibus-table/tables/vni.db
%{_datadir}/ibus-table/tables/yawerty.db

%package -n ibus-table-compose
Group: System/Internationalization
Summary: ibus-compose table-based engine
Requires: ibus-table >= 1.3.0
Requires(post,preun): GConf2

%description -n ibus-table-compose
ibus-table-compose provides compose input method on IBus Table
under IBus framework.

%files -n ibus-table-compose
%{_datadir}/ibus-table/icons/compose.svg
%{_datadir}/ibus-table/tables/compose.db

%package -n ibus-table-latex
Group: System/Internationalization
Summary: ibus-latex table-based engine
Requires: ibus-table >= 1.3.0
Requires(post,preun): GConf2

%description -n ibus-table-latex
ibus-table-latex provides latex input method on IBus Table under
IBus framework.

%files -n ibus-table-latex
%{_datadir}/ibus-table/icons/latex.svg
%{_datadir}/ibus-table/tables/latex.db

%package -n ibus-table-mathwriter
Group: System/Internationalization
Summary: ibus-mathwriter table-based engine
Requires: ibus-table >= 1.3.0
Requires(post,preun): GConf2

%description -n ibus-table-mathwriter
ibus-table-mathwriter provides mathwriter input method on IBus Table
under IBus framework.

%files -n ibus-table-mathwriter
%{_datadir}/ibus-table/icons/mathwriter.png
%{_datadir}/ibus-table/tables/mathwriter-ibus.db

%package -n ibus-table-th
Summary:   Thai language support via ibus-table
Group:     System/Internationalization
Requires:  ibus-table >= 1.3.0
Requires:  locales-th
Requires(post,preun): GConf2
Obsoletes: ibus-table-thai

%description -n ibus-table-th
ibus-table-th provides Thai input method on IBus Table under
IBus framework.

%files -n ibus-table-th
%{_datadir}/ibus-table/icons/thai.png
%{_datadir}/ibus-table/tables/thai.db

%package -n ibus-table-vi
Summary:   Vietnamese language support via ibus-table
Group:     System/Internationalization
Requires:  ibus-table >= 1.3.0
Requires(post,preun): GConf2
Requires:  locales-vi

%description -n ibus-table-vi
ibus-table-vi provides Vietnamese input method on IBus Table
under IBus framework.

%files -n ibus-table-vi
%{_datadir}/ibus-table/icons/viqr.png
%{_datadir}/ibus-table/tables/viqr.db

%package -n ibus-table-translit
Group: System/Internationalization
Summary: ibus-translit - table-based engine
Requires: ibus-table >= 1.3.0
Requires(post,preun): GConf2

%description -n ibus-table-translit
ibus-table-translit provides Translit input method on IBus Table
under IBus framework.

%files -n ibus-table-translit
%{_datadir}/ibus-table/icons/translit-ua.svg
%{_datadir}/ibus-table/icons/translit.svg
%{_datadir}/ibus-table/tables/translit-ua.db
%{_datadir}/ibus-table/tables/translit.db

%package -n ibus-table-hu-rovas
Summary:   Hungarian language support via ibus-table
Group:     System/Internationalization
Requires:  ibus-table >= 1.3.0
Requires(post,preun): GConf2
Requires:  locales-hu

%description -n ibus-table-hu-rovas
ibus-table-hu-rovas provides old Hungarian rovas input method on
IBus Table under IBus framework.

%files -n ibus-table-hu-rovas
%{_datadir}/ibus-table/icons/hu-old-hungarian-rovas.svg
%{_datadir}/ibus-table/tables/hu-old-hungarian-rovas.db

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install


%changelog
* Mon Dec 30 2024 daviddavid <daviddavid> 1.3.18-1.mga10
+ Revision: 2131595
- new version: 1.3.18

* Thu Dec 29 2022 daviddavid <daviddavid> 1.3.14-1.mga9
+ Revision: 1927790
- new version: 1.3.14

* Mon Mar 21 2022 umeabot <umeabot> 1.3.11-2.mga9
+ Revision: 1812421
- Mageia 9 Mass Rebuild

* Mon Mar 02 2020 daviddavid <daviddavid> 1.3.11-1.mga8
+ Revision: 1552779
- new version: 1.3.11

* Wed Feb 12 2020 umeabot <umeabot> 1.3.9-3.mga8
+ Revision: 1491679
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 18 2018 umeabot <umeabot> 1.3.9-2.mga7
+ Revision: 1263633
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Jan 03 2017 yochenhsieh <yochenhsieh> 1.3.9-1.mga6
+ Revision: 1079896
- New version 1.3.9

* Tue Apr 05 2016 yochenhsieh <yochenhsieh> 1.3.7-1.mga6
+ Revision: 998623
- version 1.3.7 release

* Thu Feb 04 2016 umeabot <umeabot> 1.3.0.20100528-9.mga6
+ Revision: 934183
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0.20100528-8.mga5
+ Revision: 741470
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0.20100528-6.mga4
+ Revision: 506203
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 1.3.0.20100528-5.mga3
+ Revision: 354842
- update spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 04 2011 fwang <fwang> 1.3.0.20100528-4.mga2
+ Revision: 131743
- add ibus helper for registering engine

* Fri Mar 18 2011 tv <tv> 1.3.0.20100528-3.mga1
+ Revision: 73637
- imported package ibus-table-others


* Wed Jul 28 2010 Funda Wang <fwang@mandriva.org> 1.3.0.20100528-3mdv2011.0
+ Revision: 562173
- rebuild
- rebuild for missing packages

* Sat Jul 24 2010 Funda Wang <fwang@mandriva.org> 1.3.0.20100528-1mdv2011.0
+ Revision: 558231
- import ibus-table-others


